u@PROGRAM_NAME@(8)

NAME

u@PROGRAM_NAME@ - Umount-helper to unmount a @PACKAGE@ file system

SYNOPSIS

u@PROGRAM_NAME@ [-h | --help] [-V | --version]
umount dir

SYNOPSIS (root only)

u@PROGRAM_NAME@ dir

DESCRIPTION

u@PROGRAM_NAME@ is a umount helper program. It is called by the umount(8) command. Its purpose is to prevent the umount command from returning unless @PROGRAM_NAME@ has synchronized all its cached files with the webdav server.

dir is the mountpoint where the WebDAV resource is mounted on. It may be an absolute or relative path.

While for local file systems umount(8) will only return when all cached data have been written to disk, this is not automatically true for a mounted @PACKAGE@ file system. With this umount helper the user can rely on the familiar behaviour of umount(8). To inform the operating system that the file system uses a network connection, you should always use the _netdev option, when mounting as @PACKAGE@ file system.

Depending on the amount of data and the quality of the connection, unmounting a @PACKAGE@ file system may take some seconds up to some hours.

If the @PROGRAM_NAME@ daemon encountered serious errors, u@PROGRAM_NAME@ may return an error instead of unmounting the file system. In this case try umount -i. The -i option will prevent umount(8) from calling u@PROGRAM_NAME@.

OPTIONS

-V --version
    Output version.

-h --help
    Print a help message.

-f -l -n -r -v -t
    This options are ignored. They are only recognized for compatibility with umount(8).

FILES

@SYS_RUN@
    PID-files of running u@PROGRAM_NAME@ processes are looked up here.

BUGS

No known bugs.

AUTHORS

This man page was written by Werner Baumann <werner.baumann@onlinehome.de>.

DAVFS2 HOME

@PACKAGE_BUGREPORT@

SEE ALSO

@PROGRAM_NAME@(8), umount(8), @CONFIGFILE@(5), fstab(5)